1

[alpine-devel] testing/dovecot-pigeonhole-plugin: new aport

Козак Иван Васильевич
Details
Message ID
<52F11692.5000606@yandex.ru>
Sender timestamp
1391531666
DKIM signature
missing
Download raw message
Patch: +0 -0
---
  testing/dovecot-pigeonhole-plugin/APKBUILD | 41 ++++++++++++++++++++++++++++++
  1 file changed, 41 insertions(+)
  create mode 100644 testing/dovecot-pigeonhole-plugin/APKBUILD
diff --git a/testing/dovecot-pigeonhole-plugin/APKBUILD b/testing/dovecot-pigeonhole-plugin/APKBUILD
new file mode 100644
index 0000000..d304401
--- /dev/null
+++ b/testing/dovecot-pigeonhole-plugin/APKBUILD
_at_@ -0,0 +1,41 @@
+# Contributor: Kozak Ivan <kozak-iv_at_yandex.ru>
+# Maintainer: Kozak Ivan <kozak-iv_at_yandex.ru>
+_pkgname=dovecot-2.2-pigeonhole
+pkgname=dovecot-pigeonhole-plugin
+pkgver=0.4.2
+pkgrel=0
+pkgdesc="Pigeonhole project provides Sieve support as a plugin to Dovecot's LDA"
+url="http://pigeonhole.dovecot.org"
+arch="all"
+license="LGPL"
+depends="dovecot"
+depends_dev="dovecot-dev mercurial openssl-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc $pkgname-dev"
+source="http://pigeonhole.dovecot.org/releases/2.2/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgname-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+}
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr --with-dovecot=/usr/lib/dovecot --disable-static || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/dovecot/*.la
+	rm -f "$pkgdir"/usr/lib/dovecot/doveadm/*.la
+	rm -f "$pkgdir"/usr/lib/dovecot/settings/*.la
+	rm -f "$pkgdir"/usr/lib/dovecot/sieve/*.la
+}
+
+md5sums="e8cb4976db9811d37e9d870f2f75ffef  dovecot-2.2-pigeonhole-0.4.2.tar.gz"
+sha256sums="0499f07037b86489fdc1d48fb19e298d5360ec41273bccaec230eb1bcf5a3e13  dovecot-2.2-pigeonhole-0.4.2.tar.gz"
+sha512sums="3b66d00a8462ee668b8671f5eaa48bb91d47ed8bf8b331f7d879ba8c581e2bef11e236b06a8c5da9f1248572348ad0b3e2b867fd0a17badf32152fedbe61c1ed  dovecot-2.2-pigeonhole-0.4.2.tar.gz"



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20140205182938.44c4129f@ncopa-laptop>
In-Reply-To
<52F11692.5000606@yandex.ru> (view parent)
Sender timestamp
1391624978
DKIM signature
missing
Download raw message
On Tue, 04 Feb 2014 20:34:26 +0400
Козак Иван Васильевич <kozak-iv@yandex.ru> wrote:

> ---
>   testing/dovecot-pigeonhole-plugin/APKBUILD | 41 ++++++++++++++++++++++++++++++
>   1 file changed, 41 insertions(+)
>   create mode 100644 testing/dovecot-pigeonhole-plugin/APKBUILD
> diff --git a/testing/dovecot-pigeonhole-plugin/APKBUILD b/testing/dovecot-pigeonhole-plugin/APKBUILD
> new file mode 100644
> index 0000000..d304401
> --- /dev/null
> +++ b/testing/dovecot-pigeonhole-plugin/APKBUILD
> _at_@ -0,0 +1,41 @@

git am didnt like the rewrite of @ to _at_ and i was not able to fix it
within 10 mins..

sorry

> +# Contributor: Kozak Ivan <kozak-iv_at_yandex.ru>
> +# Maintainer: Kozak Ivan <kozak-iv_at_yandex.ru>
> +_pkgname=dovecot-2.2-pigeonhole
> +pkgname=dovecot-pigeonhole-plugin
> +pkgver=0.4.2
> +pkgrel=0
> +pkgdesc="Pigeonhole project provides Sieve support as a plugin to Dovecot's LDA"
> +url="http://pigeonhole.dovecot.org"
> +arch="all"
> +license="LGPL"
> +depends="dovecot"
> +depends_dev="dovecot-dev mercurial openssl-dev"
> +makedepends="$depends_dev"
> +install=""
> +subpackages="$pkgname-doc $pkgname-dev"
> +source="http://pigeonhole.dovecot.org/releases/2.2/$_pkgname-$pkgver.tar.gz"
> +
> +_builddir="$srcdir/$_pkgname-$pkgver"
> +
> +prepare() {
> +	cd "$_builddir"
> +}
> +
> +build() {
> +	cd "$_builddir"
> +	./configure --prefix=/usr --with-dovecot=/usr/lib/dovecot --disable-static || return 1
> +	make || return 1
> +}
> +
> +package() {
> +	cd "$_builddir"
> +	make DESTDIR="$pkgdir" install || return 1
> +	rm -f "$pkgdir"/usr/lib/dovecot/*.la
> +	rm -f "$pkgdir"/usr/lib/dovecot/doveadm/*.la
> +	rm -f "$pkgdir"/usr/lib/dovecot/settings/*.la
> +	rm -f "$pkgdir"/usr/lib/dovecot/sieve/*.la
> +}
> +
> +md5sums="e8cb4976db9811d37e9d870f2f75ffef  dovecot-2.2-pigeonhole-0.4.2.tar.gz"
> +sha256sums="0499f07037b86489fdc1d48fb19e298d5360ec41273bccaec230eb1bcf5a3e13  dovecot-2.2-pigeonhole-0.4.2.tar.gz"
> +sha512sums="3b66d00a8462ee668b8671f5eaa48bb91d47ed8bf8b331f7d879ba8c581e2bef11e236b06a8c5da9f1248572348ad0b3e2b867fd0a17badf32152fedbe61c1ed  dovecot-2.2-pigeonhole-0.4.2.tar.gz"
> 
> 
> 
> ---
> Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
> Help:         alpine-devel+help@lists.alpinelinux.org
> ---
> 



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---